Bug 2001279 - No Audio Output Devices Available - No Sound
Summary: No Audio Output Devices Available - No Sound
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 35
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-05 04:25 UTC by bobsfree
Modified: 2021-11-07 19:23 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description bobsfree 2021-09-05 04:25:14 UTC
Description of problem: 

No audio works. In Gnome Settings -> Sound, no output devices are selectable. I have tried updating all packages, rebooting and ubplugging/replugging my speaker connectors, which are plugged into the front-speaker port for the integrated audio for my motherboard. I have also tried connecting headphones to the front-headphone port with no luck. This only occurs in Branched, but worked perfectly in Fedora 34.


Version-Release number of selected component (if applicable): 0.3.34


How reproducible: Ongoing issue. With my hardware booting into the desktop is enough to reproduce indefinitely.


Steps to Reproduce:
1. Boot
2. Notice no sound
3. Check Settings. Notice that there are no output devices available.

Actual results:
No Sound. No output devices available.


Expected results:

Output device selectable. Sound working.


Additional info:
i5-4670k, 8gb RAM, AMD 5500XT, Asus Z87-PRO

Comment 1 bobsfree 2021-09-11 02:42:30 UTC
This still reproduces on Pipewire 0.3.35.

Comment 2 Andre Klapper 2021-09-16 13:01:42 UTC
bobsfree: Is this the same as bug 2001680?

Comment 3 bobsfree 2021-09-16 13:08:17 UTC
It doesn't appear so, but happy to provide any further info required.

My sound is not connected through HDMI or any digital output; analogue only.

I cannot see any output devices in Gnome settings to switch between - it is blank.

My issue is not intermittent, but absolute. Sound is continuously broken.

Comment 4 Andre Klapper 2021-09-16 13:54:35 UTC
2001680 isn't about HDMI or digital output at all.

Please check if https://bugzilla.redhat.com/show_bug.cgi?id=2001680#c2 works for you.

Comment 5 bobsfree 2021-09-16 14:06:18 UTC
Thanks for the info, I assumed it was given what OP of that bug reported. I also reported my differences from OP above on that same basis.

Thanks for the workaround. That was an immediate fix to my sound issue. I got all of sound devices back in gnome-settings and it works perfectly.

Comment 6 Marc Muehlfeld 2021-10-07 12:02:35 UTC
For me, by default, audio work on F35, but sometimes all audio output devices suddenly disapper.
I use a Lenovo Thinkpad T14s with Lenovo Thunderbolt 3 Dock and headphones connected to the laptop. pipewire-0.3.38-1.fc35.x86_64

Can we raise the priority of this issue?
It's an annoying bug if you want to connect to a meeting, and then the audio devices are gone.

Comment 7 Adam Williamson 2021-10-08 17:13:25 UTC
Can you check if 'wireplumber' is installed, and if so, does switching to 'pipewire-media-session' solve the problem?

dnf shell
remove wireplumber
install pipewire-media-session
run

then logout/login, or reboot.

also, if that does help, check if wireplumber 0.4.3 is better: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b70755fdc3 (you can do the opposite in dnf shell to switch back, then logout/login or reboot again). Thanks!

Comment 8 Thomas Crider 2021-10-17 04:42:57 UTC
@Adam I was facing the same issue, these steps resolved the issue:


dnf shell
remove wireplumber
install pipewire-media-session
run
exit
reboot

I then attempted your suggestion:

also, if that does help, check if wireplumber 0.4.3 is better: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b70755fdc3 (you can do the opposite in dnf shell to switch back, then logout/login or reboot again). Thanks!

dnf shell
remove pipewire-media-session
install wireplumber
run
exit
reboot

And now it works. What's really weird however is that the version of wireplumber is the exact same.

Here's the dnf log snippets showing the same version was removed as was installed afterwards:

# cat dnf.log | grep -i wireplumber
2021-10-16T22:24:56-0600 DEBUG ---> Package wireplumber.x86_64 0.4.3-1.fc35 will be erased
2021-10-16T22:24:56-0600 DEBUG ---> Package wireplumber-libs.x86_64 0.4.3-1.fc35 will be erased
 wireplumber                                                                                       x86_64                                                                            0.4.3-1.fc35                                                                              @fedora                                                                            224 k
 wireplumber-libs                                                                                  x86_64                                                                            0.4.3-1.fc35                                                                              @fedora                                                                            1.1 M
2021-10-16T22:25:00-0600 DEBUG Removed: wireplumber-0.4.3-1.fc35.x86_64
2021-10-16T22:25:00-0600 DEBUG Removed: wireplumber-libs-0.4.3-1.fc35.x86_64
2021-10-16T22:32:31-0600 DEBUG ---> Package wireplumber.x86_64 0.4.3-1.fc35 will be installed
2021-10-16T22:32:31-0600 DEBUG ---> Package wireplumber-libs.x86_64 0.4.3-1.fc35 will be installed
 wireplumber                                                                            x86_64                                                                 0.4.3-1.fc35                                                                    fedora                                                                   66 k
 wireplumber-libs                                                                       x86_64                                                                 0.4.3-1.fc35                                                                    fedora                                                                  293 k
2021-10-16T22:33:13-0600 DEBUG Installed: wireplumber-0.4.3-1.fc35.x86_64
2021-10-16T22:33:13-0600 DEBUG Installed: wireplumber-libs-0.4.3-1.fc35.x86_64
2021-10-16T22:33:13-0600 DDEBUG /var/cache/dnf/fedora-37d3cae0527b6391/packages/wireplumber-0.4.3-1.fc35.x86_64.rpm removed
2021-10-16T22:33:13-0600 DDEBUG /var/cache/dnf/fedora-37d3cae0527b6391/packages/wireplumber-libs-0.4.3-1.fc35.x86_64.rpm removed


Very odd.

Comment 9 Thomas Crider 2021-10-17 09:53:49 UTC
-edit- nevermind, it seems to have crashed randomly and I'm back to not having any sound. I guess something is causing wireplumber to crash

Comment 10 Adam Williamson 2021-10-19 01:07:17 UTC
Hmm, can you catch any trace of the crash in the system logs or with abrt or coredumpctl or anything?

Comment 11 abyss.7 2021-10-19 09:25:00 UTC
Not sure if I have the same problem, the symptoms look the same - but I have logs:

alsa-lib parser.c:242:(error_node) UCM is not supported for this HDA model (HDA Intel PCH at 0xf7210000 irq 30)
Oct 18 21:02:35 localhost.localdomain systemd[1]: Starting Avahi mDNS/DNS-SD Stack...
Oct 18 21:02:35 localhost.localdomain alsactl[1963]: alsa-lib main.c:1405:(snd_use_case_mgr_open) error: failed to import hw:0 use case configuration -6

Also I found the forum thread about similar problem (similar to mine at least): https://www.linuxquestions.org/questions/slackware-14/alsa-1-2-5-upgrade-errors-4175695921/

Comment 12 bobsfree 2021-10-29 01:14:23 UTC
Sorry all, I'm unable to perform any further troubleshooting steps on my machine, as it no longer runs Fedora.

FWIW, running wireplumber, pipewire and pipewire-pulse on a GNOME 40/systemd/glibc Gentoo stack does not seem to result in the same issues.

Comment 13 vpeltola 2021-11-06 17:19:26 UTC
FYI - I have was running Fedora 34 + KDE, sound was working via HDMI.  Did the upgrade to Fedora 35, and lost HDMI sound device.  I followed the steps from here to remove wireplumber and install pipewire-media-session, reboot, and that fixed the issue.  Now I have HDMI audio again.


Note You need to log in before you can comment on or make changes to this bug.